# std::experimental::basic_string_view<CharT,Traits>::rbegin, std::experimental::basic_string_view<CharT,Traits>::crbegin

From cppreference.com
< cpp‎ | experimental‎ | basic string view

constexpr const_reverse_iterator rbegin() const noexcept; |  | (library fundamentals TS)
constexpr const_reverse_iterator crbegin() const noexcept; |  | (library fundamentals TS)

Returns a reverse iterator to the first character of the reversed view. It corresponds to the last character of the non-reversed view.

### Parameters

(none)

### Return value

`const_reverse_iterator` to the first character

### Complexity

Constant

### See also

rend crend | returns a reverse iterator to the end (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/experimental/basic_string_view/rbegin&oldid=93186"